Subject: bug#27485: closed (Re: [bug#27485] [PATCH] gnu: nyacc: Update to 0.80.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Jun 2017 05:08:02 +0000

Your bug report

#27485: [PATCH] gnu: nyacc: Update to 0.80.3.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27485: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27485
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#27485] [PATCH] gnu: nyacc: Update to 0.80.3.
From: Jan Nieuwenhuizen <[email-masked]>
To: Arun Isaac <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Mon, 26 Jun 2017 07:06:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Arun Isaac writes:

>>> In the intall phase, I get several warnings/errors similar to:
>>>
>>> ;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0

>> I wondered what to do here.  I could add a `setenv' phase and set
>> GUILE_AUTO_COMPILE=0...but do we really want to do that for each
>> individual guile package?
>
> I think we should have a guile-build-system that handles this sort of
> thing. WDYT?

Ask Ludo'?
Sounds interesting though...would that combine with the gnu-build-system?

>>> And, in the strip phase, I get several warnings similar to:
>>>
>>> strip: Unable to recognise the format of the input file
>>> `/gnu/store/nf0wk6cl2fpj4cl39lvfwsxsaxwqgqwm-nyacc-0.80.3/lib/guile/2.2/site-
>>> ccache/nyacc/bison.go'
>>> Are these ok?
>>
>> I don't know about a workaround here, but also: should we add an
>> exception for all Guile packages that install .go files, or can we
>> somehow handle this in Guix?
>
> Some similar fix at the build-system level...

Ah!

> Other than that, this patch is ok. Please push!

Pushed to master as 7182442a636ffff05f2fa3a86df7d50693cbd440

Thanks,
janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com

Subject: [PATCH] gnu: nyacc: Update to 0.80.3.
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Sun, 25 Jun 2017 18:20:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/mes.scm (nyacc): Update to 0.80.3.
---
 gnu/packages/mes.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/mes.scm b/gnu/packages/mes.scm
index 2cef77406..1516e526d 100644
--- a/gnu/packages/mes.scm
+++ b/gnu/packages/mes.scm
@@ -34,14 +34,14 @@
 (define-public nyacc
   (package
     (name "nyacc")
-    (version "0.79.4")
+    (version "0.80.3")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://savannah/nyacc/"
                                   name "-" version ".tar.gz"))
               (sha256
                (base32
-                "14rhr9nv1022r7m94agb3299y0k093aq1ps22zgii3aa7cf9h1w4"))))
+                "0sdvkahnz6k9i4kf1i1ljl20220n3wk3gy6zmz0ggbbdgg4mfka0"))))
     (build-system gnu-build-system)
     (native-inputs
      `(("guile" ,guile-2.2)))
-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com